@echo off
c:

rem --####################################
rem --##  filename: grants_gov.ddl
rem --##  Created by: grants.gov
rem --##  Date: 2003-07-14
rem --##  Modified by: 
rem --##  Modified date: 
rem --####################################

set DB_NAME="grants_gov"
set DDL_SCRIPT="grants_gov.sql"
set MYSQL_HOME="c:\mysql\bin"

echo "====================================================================================="
echo "Deleting ==> %DB_NAME% <=="

rem -- if you encounter errors while running this script,
rem -- try substituting MYSQL_HOME with c:\mysql\bin as
rem -- some Windows versions don't correctly substitute
rem -- the value set above for MYSQL_HOME; i.e.:
rem -- c:\mysql\bin\mysqladmin.exe drop %DB_NAME%
%MYSQL_HOME%\mysqladmin.exe drop %DB_NAME%

echo
echo "Database Name is ===>  %DB_NAME%  <=== "
echo

echo "======================================================================================"
echo "Creating Database:  mysqladmin create %DB_NAME% "
rem -- if you encounter errors while running this script,
rem -- try substituting MYSQL_HOME with c:\mysql\bin as
rem -- some Windows versions don't correctly substitute
rem -- the value set above for MYSQL_HOME; i.e.,
rem -- c:\mysql\bin\mysqladmin.exe create %DB_NAME%
%MYSQL_HOME%\mysqladmin.exe create %DB_NAME%
echo "======================================================================================"
echo "Creating the DDL: mysql %DB_NAME% < grants_gov.ddl "
rem -- if you encounter errors while running this script,
rem -- try substituting MYSQL_HOME with c:\mysql\bin as
rem -- some Windows versions don't correctly substitute
rem -- the value set above for MYSQL_HOME; i.e.,
rem -- c:\mysql\bin\mysql.exe grants_gov < grants_gov.ddl
%MYSQL_HOME%\mysql.exe grants_gov < grants_gov.ddl
echo "======================================================================================"
echo 
echo "Install DONE."
cmd

